#ifndef __CF_COMPRESSION__
#define __CF_COMPRESSION__

#include "cf_defines.h"

typedef enum {
	CF_RAW,		/* No compression */
	CF_NONE,	/* Debug ONLY */
	CF_ZLIB, 	/* ZLIB */	
	CF_LZO, 	/* LZO */
	CF_BZIP2, 	/* BZIP2 */
	CF_LZO2, 	/* LZO2 */
	CF_CUST1,	/* User defined compression format */
	CF_CUST2,	/* User defined compression format */
	CF_CUST3,	/* User defined compression format */
	CF_CUST4	/* User defined compression format */
} Cf_compression;

typedef void(* Cf_error_f)(int );
typedef int (* Cf_buffersizer_f)(int );
typedef int (* Cf_compressor_f)(char *dst, int *dst_len, char *src, int src_len);
typedef int (* Cf_decompressor_f)(char *dst, int *dst_len, char *src, int src_len);
typedef int (* Cf_id_f)(void);
#endif
