#ifndef __CF_CONFIG_FILE__
#define __CF_CONFIG_FILE__

#include "cf_defines.h"

#include "cf_compression.h"
#include "cf_config.h"

#define CF_BACKENDPATH_SIZE	4096

typedef struct {
	Cf_config head;
} Cf_config_file_base;

typedef Cf_config_file_base *Cf_config_file;

Cf_config_file cf_config_file_alloc();
void cf_config_file_dealloc();

#define cf_config_file_get_head(c)			(c)->head

#define cf_config_file_set_head(c,f)			cf_config_file_get_head(c) = (f)


void cf_config_file_init(Cf_config_file c);
void cf_config_file_read(Cf_config_file c);
Cf_config cf_config_file_find(Cf_config_file c, char *mount);
void cf_config_file_add(Cf_config_file c, Cf_config mount);
void cf_config_file_parse(Cf_config_file c, char *path);

#endif
