#ifndef __CF_INFO__
#define __CF_INFO__

#include "cf_defines.h"

#include "cf_version.h"

enum { version, ucomp, comp, level, files, dirs };

typedef off_t Cf_info[6];

#define cf_info_get_version(i)		i[version]
#define cf_info_get_ucomp(i)		i[ucomp]
#define cf_info_get_comp(i)		i[comp]
#define cf_info_get_level(i)		i[level]
#define cf_info_get_files(i)		i[files]
#define cf_info_get_dirs(i)		i[dirs]

#define cf_info_set_version(i,v)	cf_info_get_version(i) = (v)
#define cf_info_set_ucomp(i,v)		cf_info_get_ucomp(i) = (v)
#define cf_info_set_comp(i,v)		cf_info_get_comp(i) = (v)
#define cf_info_set_level(i,v)		cf_info_get_level(i) = (v)
#define cf_info_set_files(i,v)		cf_info_get_files(i) = (v)
#define cf_info_set_dirs(i,v)		cf_info_get_dirs(i) = (v)

void cf_info_init(Cf_info i);
void cf_info_print(Cf_info i);
int cf_info_read(char *path, Cf_info i);
void cf_info_write(char *path, Cf_info i);

#endif
